org.codehaus.groovy

## Interface GroovyExceptionInterface

- All Known Implementing Classes:
    ASTParserException, ConfigurationException, GroovyException, ParserException, ReadException, SyntaxException, TokenException, TokenMismatchException

      public interface GroovyExceptionInterface

  An interface for use by all Groovy compiler exceptions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFatal()`
    `void` | `setFatal(boolean fatal)`

- - ### Method Detail

    - #### isFatal

          boolean isFatal()

    - #### setFatal

          void setFatal(boolean fatal)